Workspace WhatsApp messaging stats
curl --request GET \
--url https://api.pineyard.ai/whatsapp/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"queued": 123,
"attempted": 123,
"inbound": 123,
"clicks": 123,
"linksClicked": 123
}Analytics & exports
Workspace WhatsApp messaging stats
GET
/
whatsapp
/
stats
Workspace WhatsApp messaging stats
curl --request GET \
--url https://api.pineyard.ai/whatsapp/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"queued": 123,
"attempted": 123,
"inbound": 123,
"clicks": 123,
"linksClicked": 123
}Required scope:
whatsapp.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

